JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');
console.log(toolSource);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
tool_source = client.tools.retrieve(
fleet_id="fleet_abc123",
source_id="toolsrc_abc123",
)
print(tool_source)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
toolSource, err := client.Tools.Get(
context.TODO(),
"fleet_abc123",
"toolsrc_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", toolSource)
}
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
tool_source = cerca.tools.retrieve("fleet_abc123", "toolsrc_abc123")
puts(tool_source)cerca tools retrieve \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--source-id toolsrc_abc123curl --request GET \
--url https://api.cerca.dev/fleets/{fleetId}/tools/{sourceId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cerca.dev/fleets/{fleetId}/tools/{sourceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.cerca.dev/fleets/{fleetId}/tools/{sourceId}")
.header("Authorization", "Bearer <token>")
.asString();{
"auth": {
"kind": "none"
},
"createdAt": "<string>",
"enabled": true,
"fleetId": "<string>",
"id": "<string>",
"namespace": "<string>",
"updatedAt": "<string>",
"version": 123,
"tools": [
{
"name": "search",
"description": "Search documents",
"inputSchema": {
"type": "object"
},
"endpoint": {
"method": "GET",
"url": "https://docs.example.com/search"
}
}
],
"type": "http",
"execution": {
"timeoutMs": 10000,
"maxAttempts": 3,
"retryMode": "safe_only"
}
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}{
"error": "<string>",
"code": "MONTHLY_TOKEN_BUDGET_EXCEEDED"
}Tools
Retrieve tool source
GET
/
fleets
/
{fleetId}
/
tools
/
{sourceId}
JavaScript
import Cerca from '@cerca-dev/sdk';
const client = new Cerca({
apiKey: process.env['CERCA_API_KEY'], // This is the default and can be omitted
});
const toolSource = await client.tools.retrieve('fleet_abc123', 'toolsrc_abc123');
console.log(toolSource);import os
from cerca import Cerca
client = Cerca(
api_key=os.environ.get("CERCA_API_KEY"), # This is the default and can be omitted
)
tool_source = client.tools.retrieve(
fleet_id="fleet_abc123",
source_id="toolsrc_abc123",
)
print(tool_source)package main
import (
"context"
"fmt"
"github.com/matrices/cerca-go"
"github.com/matrices/cerca-go/option"
)
func main() {
client := cercago.NewClient(
option.WithAPIKey("My API Key"),
)
toolSource, err := client.Tools.Get(
context.TODO(),
"fleet_abc123",
"toolsrc_abc123",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", toolSource)
}
require "cerca"
cerca = Cerca::Client.new(api_key: "My API Key")
tool_source = cerca.tools.retrieve("fleet_abc123", "toolsrc_abc123")
puts(tool_source)cerca tools retrieve \
--api-key 'My API Key' \
--fleet-id fleet_abc123 \
--source-id toolsrc_abc123Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Example:
"fleet_abc123"
Minimum string length:
1Example:
"toolsrc_abc123"
Response
Tool source details.
- Option 1
- Option 2
Tool source authentication configuration. The kind field selects one of none, api_key, oauth_exchange, or oauth_connection.
- NoToolSourceAuth
- ApiKeyToolSourceAuth
- OAuthExchangeToolSourceAuth
- OAuthConnectionToolSourceAuth
Show child attributes
Show child attributes
Example:
{ "kind": "none" }
Show child attributes
Show child attributes
Available options:
http Available options:
always, never HTTP tool execution retry and timeout policy.
Show child attributes
Show child attributes
Example:
{ "timeoutMs": 10000, "maxAttempts": 3, "retryMode": "safe_only" }
⌘I